Skip to content

Successful Payment Result Notifications

  • Endpoint: POST /collectResultNotifyUrlForBillPayment
  • Tags: Collection Service/BillPayment

Description

Upon successful deduction of the customer payment, PayerMax will automatically settle the funds and notify the merchant of the settlement result via this interface. The merchant only needs to respond with the code and msg fields, with no requirement to return data.

Note: If the merchant prefers PayerMax to postpone settlement processing, they may contact PayerMax for configuration. Once configured, PayerMax will handle the settlement according to the merchant’s result using either of the following methods:

  • Synchronously: The merchant may respond with the settlement confirmation result directly in the data field upon receiving the notification.
  • Asynchronously: The merchant may notify PayerMax of the settlement result by calling the Merchant Settlement Result Confirmation API provided by PayerMax.

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
codestringYesmaxLength: 8Return Code. When the transaction is successful, code: APPLY_SUCCESS
msgstringYesmaxLength: 256Return Message. When the transaction is successful, msg:Success.
keyVersionstringYesmaxLength: 8Signature Algorithm Version, Current value: 1
merchantAppIdstringYesmaxLength: 64Merchant AppId,The unique identifier assigned to the merchant app by PayerMax
merchantNostringYesmaxLength: 32Merchant Id, the unique identifier generated when the merchant signs the contract with PayerMax
notifyTimestringYesmaxLength: 32Notification time,Compliant with rfc3339 specification, format:yyyy-MM-dd’T’HH:mm:ss.SSSXXX
notifyTypestringYesmaxLength: 16Notification Type REPAYMENT_RECEIPT
dataobjectYes
data.tradeTokenstringYesmaxLength: 64PayerMax order id.
data.outTradeNostringYesmaxLength: 64outTradeNo. Note: This is generated by payerMax.
data.referenceNostringYesmaxLength: 64The merchant's order ID of a transaction.
data.payStatusstringYesmaxLength: 32Payment Status. PAY_SUCCESS
data.totalAmountnumberYesThe payment amount.
data.currencystringYesmaxLength: 3The payment currency.
data.completeTimestringYesmaxLength: 32The actual payment time of the user.
data.paymentSucceedTimestringNomaxLength: 32Payment success time.
data.payerMobileNumberstringYesmaxLength: 64Payer mobile number.
data.payerEmailstringNomaxLength: 64Payer email.
data.paymentDetailsarray[object]YesPayment Details.
data.paymentDetails[].paymentMethodTypestringYesmaxLength: 16The payment method type selected by the user for payment.
data.paymentDetails[].targetOrgstringYesmaxLength: 32The target organisation chosen by the user.

Example

json
{
  "merchantAppId": "04d20279df234fe8871d1da97c781234",
  "code": "APPLY_SUCCESS",
  "keyVersion": "1",
  "merchantNo": "01011382731234",
  "msg": "Success.",
  "notifyTime": "2024-02-27T10:59:08.295Z",
  "notifyType": "REPAYMENT_RECEIPT",
  "data": {
    "tradeToken": "T20240131032712345123456",
    "outTradeNo": "outTradeNo001",
    "referenceNo": "TEST100001",
    "payStatus": "PAY_SUCCESS",
    "totalAmount": 40.85,
    "currency": "PHP",
    "completeTime": "2024-02-27T11:00:51.185Z",
    "paymentSucceedTime": "2024-02-27T11:05:32.124Z",
    "payerMobileNumber": "50976123",
    "payerEmail": "123@qq.com",
    "paymentDetails": [
      {
        "paymentMethodType": "BILL_PAYMENT",
        "targetOrg": "GCASH"
      }
    ]
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
codestringYesReturn code, ‘SUCCESS’ means success
msgstringYesReturn message, ‘Success’
dataobjectNoRetuen data. Note: This data body is optional, but if data is returned, the types and required fields of each field in the data are described below.
data.referenceNostringYesmaxLength: 64The merchant's order ID of a transaction.
data.tradeTokenstringYesmaxLength: 64PayerMax order id.
data.amountnumberYesThe payment amount.
data.currencystringYesmaxLength: 3The payment currency.
data.confirmationstringYesmaxLength: 16The result of merchant's credit. Value: "Y" or "N".
data.failureReasonstringNomaxLength: 255Reason for credit failure.

Response Example

json
{
  "code": "SUCCESS",
  "msg": "Success",
  "data": {
    "referenceNo": "TEST100001",
    "tradeToken": "T20240131032712345123456",
    "amount": 40.85,
    "currency": "PHP",
    "confirmation": "Y",
    "failureReason": ""
  }
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.